com.google.appengine.api.search

## Enum Field.FieldType

- java.lang.Object
- - java.lang.Enum<Field.FieldType>
  - - com.google.appengine.api.search.Field.FieldType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Field.FieldType>
  Enclosing class:
    Field

      public static enum Field.FieldType
      extends java.lang.Enum<Field.FieldType>

  The type of the field value.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATOM` An indivisible text content.
    `DATE` A Date with no time component.
    `GEO_POINT` Geographical coordinates of a point, in WGS84.
    `HTML` HTML content.
    `NUMBER` Double precision floating-point number.
    `TEXT` Text content.
    `TOKENIZED_PREFIX` Tokenized prefix field content.
    `UNTOKENIZED_PREFIX` Untokenized prefix field content.
    `VECTOR` Vector field content.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Field.FieldType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Field.FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final Field.FieldType TEXT

      Text content.

    - #### HTML

          public static final Field.FieldType HTML

      HTML content.

    - #### ATOM

          public static final Field.FieldType ATOM

      An indivisible text content.

    - #### DATE

          public static final Field.FieldType DATE

      A Date with no time component.

    - #### NUMBER

          public static final Field.FieldType NUMBER

      Double precision floating-point number.

    - #### GEO_POINT

          public static final Field.FieldType GEO_POINT

      Geographical coordinates of a point, in WGS84.

    - #### UNTOKENIZED_PREFIX

          public static final Field.FieldType UNTOKENIZED_PREFIX

      Untokenized prefix field content.

    - #### TOKENIZED_PREFIX

          public static final Field.FieldType TOKENIZED_PREFIX

      Tokenized prefix field content.

    - #### VECTOR

          public static final Field.FieldType VECTOR

      Vector field content.

  - ### Method Detail

    - #### values

          public static Field.FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Field.FieldType c : Field.FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Field.FieldType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null